SDK-PhoneGap
============

= AppLovin PhoneGap Plugin Integration =
https://www.applovin.com/

The AppLovin PhoneGap Plugin has been tested on PhoneGap 1.3.0 all the way to Cordova 2.0.0.


- Importing the AppLovin SDK -

1. Download the AppLovin SDK from our UI.

2. Copy the AppLovin SDK jar into the libs folder of your project and reference the library.

3. Add the proper permissions and SDK key for the AppLovin SDK which can be found on the docs tab when you log in to your account on http://www.applovin.com/.


- Importing the PhoneGap Plugin -

1. Copy applovin-phonegap-plugin-1.1.jar to the libs folder of your project and reference the library.

2. Copy appLovin-1.1.js to the /assets/www/ folder of your project.

3. Add the following line to your <plugins> tag in your plugins.xml in the res/xml folder of your project:

	<plugin name="AppLovin" value="com.applovin.phonegap.AppLovinPhoneGapPlugin" />


- Embedding Ads -

Option 1 - One line integration

Just add the following line in the <body> tag of your html file where you want to add an AdView:

	<script src="appLovin-1.1.js"></script>


Option 2 - Use AppLovin SDK for tracking

Just put the following script in the <head> tag of your html file:

	<script src="appLovin-1.1.js"></script>


Option 3 - Defining your own placements 

1. Put the following script in the <head> tag of your html file:

	<script src="appLovin-1.1.js"></script>


2. Put the following iFrame where you want your placement. The "id" attribute is your placement id.
	
	<iframe id="placementId" style="display: none; width: 100%; height: 50px; border: 0;"></iframe>

3. In your main script for your game, after "deviceready" has been called, call the following function to load the Ad:

	AppLovin.loadNextAd('placementId');



- Interstitial Ads -

1. Put the following script in the <head> tag of your html file:

	<script src="appLovin-1.1.js"></script>


2. In your main script for your game, after "deviceready" has been called, call the following function to show an interstitial ad:

	AppLovin.showInterstitial();



- Broadcast Push Trigger (coming soon) - 


1. Put the following script in the <head> tag of your html file:

	<script src="appLovin-1.1.js"></script>


2. In your main script for your game, after "deviceready" has been called, call the following function to show an interstitial ad:

	AppLovin.broadcastMessage('triggerName');



If you have any questions, feel free to contact us at support@applovin.com or contact me directly at david@applovin.com